libqxp::QXP33Deobfuscator Class Reference

`#include <QXP33Deobfuscator.h>`

Inheritance diagram for libqxp::QXP33Deobfuscator:

## Public Member Functions
| QXP33Deobfuscator (uint16_t seed, uint16_t increment)
void | next ()
Public Member Functions inherited from libqxp::QXPDeobfuscator
uint16_t | operator() (uint16_t value) const
uint8_t | operator() (uint8_t value) const

## Private Attributes
uint16_t | m_increment

## Additional Inherited Members
Protected Member Functions inherited from libqxp::QXPDeobfuscator
| QXPDeobfuscator (uint16_t seed)
Protected Attributes inherited from libqxp::QXPDeobfuscator
uint16_t | m_seed

## Constructor & Destructor Documentation

## ◆ QXP33Deobfuscator()

libqxp::QXP33Deobfuscator::QXP33Deobfuscator | ( | uint16_t | seed,
|  | uint16_t | increment )

## Member Function Documentation

## ◆ next()

void libqxp::QXP33Deobfuscator::next | ( |  | ) |

Referenced by libqxp::QXP33Parser::parsePages().

## Member Data Documentation

## ◆ m_increment

uint16_t libqxp::QXP33Deobfuscator::m_increment
| private

Referenced by next(), and QXP33Deobfuscator().

The documentation for this class was generated from the following files:

- QXP33Deobfuscator.h
- QXP33Deobfuscator.cpp